## r-cran-vgam 0.7

=== DESCRIPTION ===
Package: VGAM
Version: 0.7-7
Date: 2008-05-14
Title: Vector Generalized Linear and Additive Models
Author: Thomas W. Yee <t.yee@auckland.ac.nz>
Maintainer: Thomas Yee <t.yee@auckland.ac.nz> 
Depends: R (>= 2.4.0), splines, methods, stats, stats4
Description: Vector generalized linear and additive models, and
    associated models (Reduced-Rank VGLMs, Quadratic RR-VGLMs,
    Reduced-Rank VGAMs). This package fits many models and
    distribution by maximum likelihood estimation (MLE) or
    penalized MLE. Also fits constrained ordination models in
    ecology.
License: GPL-2
URL: http://www.stat.auckland.ac.nz/~yee/VGAM
LazyLoad: yes
LazyData: yes
Packaged: Wed May 14 11:18:25 2008; yee

## r-cran-vgam 0.7-10

=== debian/changelog ===
r-cran-vgam (0.7-10-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 30 Mar 2010 21:21:11 -0500

r-cran-vgam (0.7-9-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 10 Jul 2009 21:27:58 -0500

r-cran-vgam (0.7-8-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 16 Mar 2009 22:22:19 -0500

r-cran-vgam (0.7-7-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 29 May 2008 06:51:02 -0500

r-cran-vgam (0.7-6-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 29 Mar 2008 02:04:58 -0500

r-cran-vgam (0.7-5-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 06 Dec 2007 19:19:56 -0600

r-cran-vgam (0.7-4-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 07 Oct 2007 20:16:15 -0500

r-cran-vgam (0.7-3-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 14 Jun 2007 14:04:29 -0500

r-cran-vgam (0.7-2-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  4 Feb 2007 15:28:54 -0600

r-cran-vgam (0.7-1-1) unstable; urgency=low

  * New upstream release.
  * First upload to unstable, since VGAM is now GPL'd (yeay!).

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 26 Oct 2006 22:05:10 -0500

r-other-yee-vgam (0.6-9-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  8 Jun 2006 20:39:52 -0400

r-other-yee-vgam (0.6-3-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  9 Jul 2005 02:42:23 -0500

r-other-yee-vgam (0.5-19-1) unstable; urgency=low

  * Initial Debian Release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 19 Apr 2004 19:12:44 -0500

=== debian/control ===
Source: r-cran-vgam
Section: gnu-r
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends: debhelper (>> 7), r-base-dev (>> 2.4.0), cdbs
Standards-Version: 3.8.4
Homepage: http://www.stat.auckland.ac.nz/~yee/VGAM/

Package: r-cran-vgam
Architecture: any
Depends: r-base-core (>= 2.4.0), ${shlibs:Depends}, ${misc:Depends}
Enhances: r-cran-zelig
Description: GNU R package for estimating vector generalized additive models
 This package implements a variety of functions for estimating vector
 generalized additive models (VGAMs), as well as vector generalized
 linear models (VGLMs), reduced-rank VGLMs, and quadratic reduced-rank
 VGLMs.
 .
 Specific models that can be fit include a wide variety of
 categorical-response models (with nominal and ordinal dependent
 variables), bivariate binary-response models (bivariate
 logit/probit), and seemingly-unrelated regressions.  The package also
 includes a number of standard and non-standard distribution functions
 of use to statisticians.

## r-cran-vgam 0.8

=== DESCRIPTION ===
Package: VGAM
Version: 0.8-1
Date: 2010-06-22
Title: Vector Generalized Linear and Additive Models
Author: Thomas W. Yee <t.yee@auckland.ac.nz>
Maintainer: Thomas Yee <t.yee@auckland.ac.nz>
Depends: R (>= 2.8.0), splines, methods, stats, stats4
Description: Vector generalized linear and additive models, and
        associated models (Reduced-Rank VGLMs, Quadratic RR-VGLMs,
        Reduced-Rank VGAMs). This package fits many models and
        distribution by maximum likelihood estimation (MLE) or
        penalized MLE. Also fits constrained ordination models in
        ecology.
License: GPL-2
URL: http://www.stat.auckland.ac.nz/~yee/VGAM
LazyLoad: yes
LazyData: yes
Packaged: 2010-06-22 04:48:23 UTC; tyee001
Repository: CRAN
Date/Publication: 2010-06-22 08:29:15

## r-cran-vgam 0.8-1

=== debian/changelog ===
r-cran-vgam (0.8-1-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 07 Jul 2010 03:44:27 -0500

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 7), r-base-dev (>> 2.4.0), cdbs
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>> 7), r-base-dev (>> 2.8.0), cdbs
+Standards-Version: 3.9.0
 Homepage: http://www.stat.auckland.ac.nz/~yee/VGAM/
 
 Package: r-cran-vgam
 Architecture: any
-Depends: r-base-core (>= 2.4.0), ${shlibs:Depends}, ${misc:Depends}
+Depends: r-base-core (>= 2.8.0), ${shlibs:Depends}, ${misc:Depends}
 Enhances: r-cran-zelig
 Description: GNU R package for estimating vector generalized additive models
  This package implements a variety of functions for estimating vector

## r-cran-vgam 0.8-3

=== debian/changelog ===
r-cran-vgam (0.8-3-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 17 Jul 2011 16:20:26 -0500

r-cran-vgam (0.8-2-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 20 Feb 2011 15:37:31 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 7), r-base-dev (>> 2.8.0), cdbs
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Homepage: http://www.stat.auckland.ac.nz/~yee/VGAM/
 
 Package: r-cran-vgam

## r-cran-vgam 0.8-4

=== debian/changelog ===
r-cran-vgam (0.8-4-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 04 Nov 2011 13:13:06 -0400

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 7), r-base-dev (>> 2.8.0), cdbs
+Build-Depends: debhelper (>> 7), r-base-dev (>= 2.10), cdbs
 Standards-Version: 3.9.2
 Homepage: http://www.stat.auckland.ac.nz/~yee/VGAM/
 
 Package: r-cran-vgam
 Architecture: any
-Depends: r-base-core (>= 2.8.0), ${shlibs:Depends}, ${misc:Depends}
+Depends: r-base-core (>= 2.10), ${shlibs:Depends}, ${misc:Depends}
 Enhances: r-cran-zelig
 Description: GNU R package for estimating vector generalized additive models
  This package implements a variety of functions for estimating vector

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-car package
# Copyright 2003 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/langcore.mk

## We need the CRAN (upstream) name 
cranName	:= $(shell grep Package: DESCRIPTION | cut -f2 -d" ")
## and we need to build a Debian Policy-conformant lower-case package name
cranNameLC	:= $(shell echo $(cranName) | tr "[A-Z]" "[a-z]" | tr "." "-" )
## which we can use to build the package directory 
package		:= r-cran-vgam
## which we use for the to-be-installed-in directory
debRlib		:= $(CURDIR)/debian/$(package)/usr/lib/R/site-library

common-install-indep:: R_any_arch
common-install-arch:: R_any_arch

R_any_arch:
		dh_installdirs		usr/lib/R/site-library
		R CMD INSTALL -l $(debRlib) --clean .
		rm -vf $(debRlib)/R.css $(debRlib)/$(cranName)/COPYING

## r-cran-vgam 0.8-7

=== debian/changelog ===
r-cran-vgam (0.8-7-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 13 May 2012 22:32:15 -0400

r-cran-vgam (0.8-6-1) unstable; urgency=low

  * New upstream release; fixes FTBFS. (Closes: #665250)
  + Upstream now requires R >= 2.14; build dependencies updated accordingly.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 22 Mar 2012 13:44:59 -0400

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 7), r-base-dev (>= 2.10), cdbs
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>> 7), r-base-dev (>= 2.14), cdbs
+Standards-Version: 3.9.3
 Homepage: http://www.stat.auckland.ac.nz/~yee/VGAM/
 
 Package: r-cran-vgam
 Architecture: any
-Depends: r-base-core (>= 2.10), ${shlibs:Depends}, ${misc:Depends}
+Depends: ${R:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Enhances: r-cran-zelig
 Description: GNU R package for estimating vector generalized additive models
  This package implements a variety of functions for estimating vector

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-car package
# Copyright 2003 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk

common-install-arch::
		rm -vf $(debRlib)/R.css $(debRlib)/$(cranName)/COPYING

## r-cran-vgam 0.9

=== DESCRIPTION ===
Package: VGAM
Version: 0.9-1
Date: 2013-04-27
Title: Vector Generalized Linear and Additive Models
Author: Thomas W. Yee <t.yee@auckland.ac.nz>
Maintainer: Thomas Yee <t.yee@auckland.ac.nz>
Depends: R (>= 2.15.1), splines, methods, stats, stats4
Suggests: MASS
Description: Vector generalized linear and additive models, and
        associated models (Reduced-Rank VGLMs, Quadratic RR-VGLMs,
        Reduced-Rank VGAMs). This package fits many models and
        distribution by maximum likelihood estimation (MLE) or
        penalized MLE. Also fits constrained ordination models in
        ecology.
License: GPL-2
Imports: methods, stats, stats4
URL: http://www.stat.auckland.ac.nz/~yee/VGAM
LazyLoad: yes
LazyData: yes
Packaged: 2013-04-27 04:22:15 UTC; tyee001
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-04-27 09:02:44

## r-cran-vgam 0.9-1

=== debian/changelog ===
r-cran-vgam (0.9-1-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 27 Apr 2013 21:40:01 -0400

r-cran-vgam (0.9-0-1) unstable; urgency=low

  * New upstream release.
  * Rebuild for R 3.0.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 31 Mar 2013 21:00:19 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 7), r-base-dev (>= 2.14), cdbs
+Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), cdbs, dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.3
 Homepage: http://www.stat.auckland.ac.nz/~yee/VGAM/

## r-cran-vgam 0.9-4

=== debian/changelog ===
r-cran-vgam (0.9-4-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 28 May 2014 18:37:59 -0400

r-cran-vgam (0.9-3-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 25 Feb 2014 20:46:50 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), cdbs, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.stat.auckland.ac.nz/~yee/VGAM/
 
 Package: r-cran-vgam

## r-cran-vgam 0.9-6

=== debian/changelog ===
r-cran-vgam (0.9-6-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 08 Dec 2014 19:14:01 -0500

r-cran-vgam (0.9-5-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 13 Nov 2014 10:05:58 -0500

## r-cran-vgam 0.9-8

=== debian/changelog ===
r-cran-vgam (0.9-8-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 14 Jul 2015 20:07:40 -0400

r-cran-vgam (0.9-7-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 08 Mar 2015 17:34:16 -0400

## r-cran-vgam 1.0

=== DESCRIPTION ===
Package: VGAM
Version: 1.0-6
Date: 2018-08-14
Title: Vector Generalized Linear and Additive Models
Author: Thomas W. Yee <t.yee@auckland.ac.nz>
Maintainer: Thomas Yee <t.yee@auckland.ac.nz>
Depends: R (>= 3.4.0), methods, stats, stats4, splines
Suggests: VGAMdata, MASS, mgcv
Description: An implementation of about 6 major classes of
    statistical regression models. The central algorithm is
    Fisher scoring and iterative reweighted least squares.
    At the heart of this package are the vector generalized linear
    and additive model (VGLM/VGAM) classes. VGLMs can be loosely
    thought of as multivariate GLMs. VGAMs are data-driven
    VGLMs that use smoothing. The book "Vector Generalized
    Linear and Additive Models: With an Implementation in R"
    (Yee, 2015) <DOI:10.1007/978-1-4939-2818-7> gives details of
    the statistical framework and the package. Currently only
    fixed-effects models are implemented. Many (150+) models and
    distributions are estimated by maximum likelihood estimation
    (MLE) or penalized MLE. The other classes are RR-VGLMs
    (reduced-rank VGLMs), quadratic RR-VGLMs, reduced-rank VGAMs,
    RCIMs (row-column interaction models)---these classes perform
    constrained and unconstrained quadratic ordination (CQO/UQO)
    models in ecology, as well as constrained additive ordination
    (CAO). Note that these functions are subject to change;
    see the NEWS and ChangeLog files for latest changes.
License: GPL-3
URL: https://www.stat.auckland.ac.nz/~yee/VGAM
NeedsCompilation: yes
BuildVignettes: yes
LazyLoad: yes
LazyData: yes
Packaged: 2018-08-14 03:48:15 UTC; tyee001
Repository: CRAN
Date/Publication: 2018-08-18 23:50:03 UTC

## r-cran-vgam 1.0-0

=== debian/changelog ===
r-cran-vgam (1.0-0-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 09 Nov 2015 23:29:07 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), cdbs, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.stat.auckland.ac.nz/~yee/VGAM/
 
 Package: r-cran-vgam

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,18 @@
 # debian/rules file for the Debian/GNU Linux r-cran-car package
 # Copyright 2003 by Dirk Eddelbuettel <edd@debian.org>
 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+PKG_CFLAGS=$(CFLAGS)
+PKG_CXXFLAGS=$(CXXFLAGS)
+PKG_CPPFLAGS=$(CPPFLAGS)
+PKG_FFLAGS=$(FFLAGS)
+
+export PKG_CFLAGS PKG_CXXFLAGS PKG_CPPFLAGS PKG_FFLAGS
+
+makeFlags="LDFLAGS=$(LDFLAGS)"
+
 include /usr/share/R/debian/r-cran.mk
 
 common-install-arch::

=== debian/watch ===
version=2
http://cran.r-project.org/src/contrib/VGAM_(.*)\.tar\.gz

## r-cran-vgam 1.0-2

=== debian/changelog ===
r-cran-vgam (1.0-2-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 16 Aug 2016 20:57:27 -0400

r-cran-vgam (1.0-1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 23 Mar 2016 21:27:04 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), cdbs, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.stat.auckland.ac.nz/~yee/VGAM/
 
 Package: r-cran-vgam

## r-cran-vgam 1.0-3

=== debian/changelog ===
r-cran-vgam (1.0-3-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Take over packaging into Debian Science team
  * Convert to dh-r
  * debhelper 10
  * d/watch: version=4
  * cme fix dpkg-control
  * Canonical homepage for CRAN
  * DEP5

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2017 14:38:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,23 @@
 Source: r-cran-vgam
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Chris Lawrence <lawrencc@debian.org>
 Section: gnu-r
 Priority: optional
-Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), cdbs, dpkg-dev (>= 1.16.1~)
+Build-Depends: debhelper (>= 10),
+               r-base-dev (>= 3.0),
+               dh-r
 Standards-Version: 3.9.8
-Homepage: http://www.stat.auckland.ac.nz/~yee/VGAM/
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-vgam.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-vgam.git
+Homepage: https://cran.r-project.org/package=VGAM
 
 Package: r-cran-vgam
 Architecture: any
-Depends: ${R:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${R:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Enhances: r-cran-zelig
 Description: GNU R package for estimating vector generalized additive models
  This package implements a variety of functions for estimating vector

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/VGAM_(.*)\.tar\.gz

## r-cran-vgam 1.0-4

=== debian/changelog ===
r-cran-vgam (1.0-4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Secure URI in watch file
  * Standards-Version: 4.1.1
  * Automated adding of debian/README.source to document binary data files
  * Testsuite: autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Wed, 25 Oct 2017 09:58:31 +0200

r-cran-vgam (1.0-3-2) unstable; urgency=medium

  * Standards-Version: 4.1.0

 -- Andreas Tille <tille@debian.org>  Fri, 08 Sep 2017 08:22:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Chris Lawrence <lawrencc@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper (>= 10),
                r-base-dev (>= 3.0),
                dh-r
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-vgam.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-vgam.git
 Homepage: https://cran.r-project.org/package=VGAM

## r-cran-vgam 1.0-5

=== debian/changelog ===
r-cran-vgam (1.0-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Wed, 21 Mar 2018 15:52:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                r-base-dev (>= 3.0),
                dh-r
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-vgam.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-vgam.git
 Homepage: https://cran.r-project.org/package=VGAM

## r-cran-vgam 1.0-6

=== debian/changelog ===
r-cran-vgam (1.0-6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Fri, 24 Aug 2018 07:59:15 +0200

r-cran-vgam (1.0-5-2) unstable; urgency=medium

  * Team upload.
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 23:23:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: r-cran-vgam
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Chris Lawrence <lawrencc@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper (>= 11~),
-               r-base-dev (>= 3.0),
-               dh-r
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-vgam.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-vgam.git
+               dh-r,
+               r-base-dev
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vgam
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vgam.git
 Homepage: https://cran.r-project.org/package=VGAM
 
 Package: r-cran-vgam

## r-cran-vgam 1.1

=== DESCRIPTION ===
Package: VGAM
Version: 1.1-14
Date: 2025-12-02
Title: Vector Generalized Linear and Additive Models
Authors@R: c(person("Thomas", "Yee", role = c("aut", "cre"),
                    comment = c(ORCID = "0000-0002-9970-3907"),
                    email = "t.yee@auckland.ac.nz"),
             person("Cleve", "Moler", role = "ctb",
                    comment = "LINPACK routines in src"))
Author: Thomas Yee [aut, cre] (ORCID: <https://orcid.org/0000-0002-9970-3907>),
  Cleve Moler [ctb] (LINPACK routines in src)
Maintainer: Thomas Yee <t.yee@auckland.ac.nz>
Depends: R (>= 4.1.0), methods, stats, stats4, splines
Suggests: VGAMextra, MASS, mgcv
Enhances: VGAMdata
Description: An implementation of about 6 major classes of
    statistical regression models. The central algorithm is
    Fisher scoring and iterative reweighted least squares.
    At the heart of this package are the vector generalized linear
    and additive model (VGLM/VGAM) classes. VGLMs can be loosely
    thought of as multivariate GLMs. VGAMs are data-driven
    VGLMs that use smoothing. The book "Vector Generalized
    Linear and Additive Models: With an Implementation in R"
    (Yee, 2015) <DOI:10.1007/978-1-4939-2818-7> gives details of
    the statistical framework and the package. Currently only
    fixed-effects models are implemented. Many (100+) models and
    distributions are estimated by maximum likelihood estimation
    (MLE) or penalized MLE. The other classes are RR-VGLMs
    (reduced-rank VGLMs), quadratic RR-VGLMs, doubly constrained
    RR-VGLMs, quadratic RR-VGLMs, reduced-rank VGAMs,
    RCIMs (row-column interaction models)---these classes perform
    constrained and unconstrained quadratic ordination (CQO/UQO)
    models in ecology, as well as constrained additive ordination
    (CAO). Hauck-Donner effect detection is implemented.
    Note that these functions are subject to change;
    see the NEWS and ChangeLog files for latest changes.
License: GPL-3
URL: https://www.stat.auckland.ac.nz/~yee/VGAM/
NeedsCompilation: yes
BuildVignettes: yes
LazyLoad: yes
LazyData: yes
Packaged: 2025-12-02 05:01:01 UTC; tyee001
Repository: CRAN
Date/Publication: 2025-12-04 00:00:08 UTC

## r-cran-vgam 1.1-1

=== debian/changelog ===
r-cran-vgam (1.1-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 20:09:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vgam
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vgam.git
 Homepage: https://cran.r-project.org/package=VGAM

## r-cran-vgam 1.1-2

=== debian/changelog ===
r-cran-vgam (1.1-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Thu, 28 Nov 2019 10:46:47 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vgam
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vgam.git
 Homepage: https://cran.r-project.org/package=VGAM

## r-cran-vgam 1.1-3

=== debian/changelog ===
r-cran-vgam (1.1-3-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:37:34 +0000

r-cran-vgam (1.1-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 06 May 2020 13:54:29 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vgam
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vgam.git
 Homepage: https://cran.r-project.org/package=VGAM
+Rules-Requires-Root: no
 
 Package: r-cran-vgam
 Architecture: any

## r-cran-vgam 1.1-5

=== debian/changelog ===
r-cran-vgam (1.1-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 18:11:08 +0100

r-cran-vgam (1.1-4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 09 Nov 2020 12:43:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vgam
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vgam.git
 Homepage: https://cran.r-project.org/package=VGAM

## r-cran-vgam 1.1-6

=== debian/changelog ===
r-cran-vgam (1.1-6-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.1-6
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 16 Feb 2022 23:56:30 +0530

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vgam
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vgam.git
 Homepage: https://cran.r-project.org/package=VGAM

## r-cran-vgam 1.1-7

=== debian/changelog ===
r-cran-vgam (1.1-7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Jul 2022 12:30:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-vgam
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Chris Lawrence <lawrencc@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vgam
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vgam.git
+Homepage: https://cran.r-project.org/package=VGAM
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vgam
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vgam.git
-Homepage: https://cran.r-project.org/package=VGAM
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-vgam
 Architecture: any

## r-cran-vgam 1.1-8

=== debian/changelog ===
r-cran-vgam (1.1-8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 17:36:16 +0200

## r-cran-vgam 1.1-9

=== debian/changelog ===
r-cran-vgam (1.1-9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 13 Oct 2023 11:41:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vgam
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vgam.git
 Homepage: https://cran.r-project.org/package=VGAM
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-vgam 1.1-11

=== debian/changelog ===
r-cran-vgam (1.1-11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Sep 2024 13:17:21 +0900

## r-cran-vgam 1.1-12

=== debian/changelog ===
r-cran-vgam (1.1-12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 17:13:48 +0900

## r-cran-vgam 1.1-13

=== debian/changelog ===
r-cran-vgam (1.1-13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 20 Feb 2025 09:12:04 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vgam
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vgam.git
 Homepage: https://cran.r-project.org/package=VGAM
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/VGAM_(.*)\.tar\.gz

## r-cran-vgam 1.1-14

=== debian/changelog ===
r-cran-vgam (1.1-14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Stop Enhancing r-cran-zelig, to be reomved from Debian soon.
  * Paste LICENSE.note in debian/copyright, reflecting GPLv3 option
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 13 Jan 2026 10:14:51 +0900

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vgam
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vgam.git
 Homepage: https://cran.r-project.org/package=VGAM
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-vgam
@@ -20,7 +22,6 @@
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
-Enhances: r-cran-zelig
 Description: GNU R package for estimating vector generalized additive models
  This package implements a variety of functions for estimating vector
  generalized additive models (VGAMs), as well as vector generalized
